ОШИБКА: PHP не работает

Я установил Wordpress, php7.0 и apache2. Я также установил php7.0 модуль для апача, и он включен.

Я могу создать php файл (названный phpinfo.php) с содержанием , и видьте корректный вывод, когда я откроюсь http://localhost/phpinfo.php.

Моя проблема состоит в том, когда я пытаюсь открыться http://localhost/blog/wp-admin/install.php, это говорит:

**ERROR: PHP is not running**

и показывает целую страницу установки без интерпретируемого php.

Кто-то знает то, что причина то есть, или еще лучше, как я могу зафиксировать ее?

1
задан 8 September 2017 в 17:47

2 ответа

Согласно предложению @ George и отчету @ Moe , на самом деле некоторые PHP-зависимости отсутствовали. Как описано здесь здесь , все php-зависимости для Wordpress могут быть установлены с помощью следующих команд:

sudo apt update
sudo apt install php-curl php-gd php-mbstring php-mcrypt php-xml php-xmlrpc
1
ответ дан 7 December 2019 в 15:30

Это больше не работает с Ubuntu 18.04.2, поскольку mcrypt удерживается от использования.

Для фиксации посмотрите здесь.

0
ответ дан 7 December 2019 в 15:30

Другие вопросы по тегам:

Похожие вопросы: